package de.comline.spring.service;

import javax.transaction.Transactional;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.comline.spring.entity.Movie;
import de.comline.spring.repository.MovieRepository;

@Service
public class MovieService {
	@Autowired
	private MovieRepository repository;
	
	@Transactional
	public Movie createMovie(String title) {
		Movie movie = new Movie(title);
		movie = repository.save(movie);
		return movie;
	}
}
